## org.apache.xerces.dom3.as
Interface DOMImplementationAS

Deprecated. This interface allows creation of an `ASModel`. The expectation is that an instance of the `DOMImplementationAS` interface can be obtained by using binding-specific casting methods on an instance of the `DOMImplementation` interface when the DOM implementation supports the feature "`AS-EDIT`".

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

public interface DOMImplementationAS

Method Summary
`ASModel` `createAS(boolean isNamespaceAware)` Deprecated. Creates an ASModel.
`DOMASBuilder` `createDOMASBuilder()` Deprecated. Creates an `DOMASBuilder`.Do we need the method since we already have `DOMImplementationLS.createDOMBuilder`?
`DOMASWriter` `createDOMASWriter()` Deprecated. Creates an `DOMASWriter`.

Method Detail

### createAS

    public ASModel createAS(boolean isNamespaceAware)

  Deprecated.
  Creates an ASModel.
  Parameters:
    `isNamespaceAware` - Allow creation of `ASModel` with this attribute set to a specific value.
  Returns:
    A `null` return indicates failure.what is a failure? Could be a system error.

### createDOMASBuilder

    public DOMASBuilder createDOMASBuilder()

  Deprecated.
  Creates an `DOMASBuilder`.Do we need the method since we already have `DOMImplementationLS.createDOMBuilder`?
  Returns:
    a DOMASBuilder

### createDOMASWriter

    public DOMASWriter createDOMASWriter()

  Deprecated.
  Creates an `DOMASWriter`.
  Returns:
    a DOMASWriter

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.